Package org.jboss.resteasy.client.jaxrs

## Enum ResteasyClientBuilder.HostnameVerificationPolicy

- java.lang.Object
- - java.lang.Enum<ResteasyClientBuilder.HostnameVerificationPolicy>
  - - org.jboss.resteasy.client.jaxrs.ResteasyClientBuilder.HostnameVerificationPolicy

- All Implemented Interfaces:
    `Serializable`, `Comparable<ResteasyClientBuilder.HostnameVerificationPolicy>`
  Enclosing class:
    ResteasyClientBuilder

      public static enum ResteasyClientBuilder.HostnameVerificationPolicy
      extends Enum<ResteasyClientBuilder.HostnameVerificationPolicy>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ANY` | Hostname verification is not done on the server's certificate
    `STRICT` | CN must match hostname connecting to
    `WILDCARD` | Allows wildcards in subdomain names i.e.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ResteasyClientBuilder.HostnameVerificationPolicy` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static ResteasyClientBuilder.HostnameVerificationPolicy[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ANY

          public static final ResteasyClientBuilder.HostnameVerificationPolicy ANY

      Hostname verification is not done on the server's certificate

    - #### WILDCARD

          public static final ResteasyClientBuilder.HostnameVerificationPolicy WILDCARD

      Allows wildcards in subdomain names i.e. *.foo.com

    - #### STRICT

          public static final ResteasyClientBuilder.HostnameVerificationPolicy STRICT

      CN must match hostname connecting to

  - ### Method Detail

    - #### values

          public static ResteasyClientBuilder.HostnameVerificationPolicy[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ResteasyClientBuilder.HostnameVerificationPolicy c : ResteasyClientBuilder.HostnameVerificationPolicy.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ResteasyClientBuilder.HostnameVerificationPolicy valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null